import * as THREE from "three";
import { AssetManager } from "../core/AssetManager";
import { CameraManager } from "../core/CameraManager";
import { InputManager } from "../core/InputManager";
import { SceneManager } from "../core/SceneManager";
export declare type ApplicationHook = "update";
export declare class Application {
    assets: AssetManager;
    inputs: InputManager;
    renderer: THREE.WebGLRenderer;
    sceneManager: SceneManager;
    cameraManager: CameraManager;
    disposed: boolean;
    private _hooks;
    constructor(rendererOptions: THREE.WebGLRendererParameters);
    dispose(): void;
    setSize(width: number, height: number): void;
    on(type: ApplicationHook, fn: (...args: any[]) => void): void;
    off(type: ApplicationHook, fn: (...args: any[]) => void): void;
    update(deltaTime: number): void;
}
